ur_rna.StructureEditor.services

## Enum SceneColorizer.Comparison

- java.lang.Object
- - java.lang.Enum<SceneColorizer.Comparison>
  - - ur_rna.StructureEditor.services.SceneColorizer.Comparison

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SceneColorizer.Comparison>
  Enclosing class:
    SceneColorizer

      public static enum SceneColorizer.Comparison
      extends java.lang.Enum<SceneColorizer.Comparison>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Greater`
    `GreaterOrEqual`
    `Less`
    `LessOrEqual`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SceneColorizer.DoubleComparer` | `comparer`
    `java.lang.String` | `symbol`
    `private static SceneColorizer.Comparison[]` | `values`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `compare(double lhs, double rhs)`
    `static SceneColorizer.Comparison` | `fromSymbol(java.lang.String symbol)`
    `SceneColorizer.DoubleComparer` | `getComparer()`
    `static SceneColorizer.Comparison` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SceneColorizer.Comparison[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Greater

          public static final SceneColorizer.Comparison Greater

    - #### GreaterOrEqual

          public static final SceneColorizer.Comparison GreaterOrEqual

    - #### Less

          public static final SceneColorizer.Comparison Less

    - #### LessOrEqual

          public static final SceneColorizer.Comparison LessOrEqual

  - ### Field Detail

    - #### comparer

          public final SceneColorizer.DoubleComparer comparer

    - #### symbol

          public final java.lang.String symbol

    - #### values

          private static SceneColorizer.Comparison[] values

  - ### Method Detail

    - #### compare

          public boolean compare(double lhs,
                                 double rhs)

    - #### fromSymbol

          public static SceneColorizer.Comparison fromSymbol(java.lang.String symbol)

    - #### getComparer

          public SceneColorizer.DoubleComparer getComparer()

    - #### valueOf

          public static SceneColorizer.Comparison valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static SceneColorizer.Comparison[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SceneColorizer.Comparison c : SceneColorizer.Comparison.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared